Bug 601175 - Bundle wizard does not tell why upload failed
Summary: Bundle wizard does not tell why upload failed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Content
Version: 3.0.0
Hardware: All
OS: All
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Jay Shaughnessy
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-provisioning jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-07 12:01 UTC by Heiko W. Rupp
Modified: 2010-08-12 16:48 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-12 16:48:56 UTC


Attachments (Terms of Use)
Red Dot (13.24 KB, image/png)
2010-06-07 12:02 UTC, Heiko W. Rupp
no flags Details

Description Heiko W. Rupp 2010-06-07 12:01:42 UTC
Tried to upload a .war file as step 1 of the bundle wizard.

After clicking 'next' this shows a red exclamation mark with a  hover message of "Upload failed"
Server console show 
13:59:30,800 INFO  [[/coregui]] org.rhq.enterprise.gui.coregui.CoreGUI BundleDistributionFileUploadServlet: file was uploaded: test-dist-vhosts.war

- The UI should not only show a hover in case of failure, but a plain text field
- The message should include a reason for failure (e.g. in my case ".war files are no valid bundles")

Comment 1 Heiko W. Rupp 2010-06-07 12:02:19 UTC
Created attachment 421800 [details]
Red Dot

Comment 2 Jay Shaughnessy 2010-07-07 19:54:53 UTC
fix commit: 91c9d1fb7849b9966f60a2cdeb8bca1903e3389c

There is new messaging and is displayed within the wizard.

Comment 3 Sunil Kondkar 2010-07-08 10:57:42 UTC
Verified on jon-2.4.0.GA_QA build#52

When user tries to upload invalid bundle distribution file, the bundle wizard
box displays the message with reason as expected (Failed to upload bundle
distribution file
java.lang.IllegalArgumentException: Invalid bundle distribution file.
BundleType/Recipe not recognized by any deployed server bundle plugin.)

Comment 4 Corey Welton 2010-08-12 16:48:56 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.